import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:najvaflutter/najvaflutter.dart';

import 'Najva.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();

}

class _MyAppState extends State<MyApp> {
  var _najvaToken = 'Unknown';

  Future<void> onTokenUpdated(String token) {
    setState(() {
      _najvaToken = token;
    });
  }

  @override
  void initState() {
    super.initState();
    new Najva(onTokenUpdated);
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Najva Plugin example app'),
        ),
        body: Center(
          child: Text('Najva Token: $_najvaToken\n'),
        ),
      ),
    );
  }
}
